<template>
  <div class="app-container">
    <el-card  style="height: 70px;margin-bottom: 10px" class="box-card" >
      <template>
        <div class="container">
          <el-row type="flex" justify="center"  style="text-align: center" >
            <el-col :span="12">
              <span style="fontSize:30px;color:black">--------------------发动机数据检查--------------------</span>
            </el-col>
          </el-row>
        </div>
      </template>
    </el-card>
   <el-row :gutter="5"  style="margin-top: 10px">
     <el-col :span="10" >
       <el-card class="bottom-card">
         <el-descriptions :column="1" >
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item prop="engineNo" >
      	     <span slot="label" style="font-size:45px;color:black"><strong>发动机号</strong></span>
                 <el-input style="font-size:30px" v-model="form.engineNo" placeholder="请输入发动机号" >
                   <el-button slot="append" @click="EngineNohandleChange" icon="el-icon-search"></el-button>
                 </el-input>
               </el-form-item>
             </el-form>
           </el-descriptions-item>
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item   prop="productType" >
      	     <span slot="label" style="font-size:45px;color:black"><strong>机型</strong></span>
                 <el-input disabled style="font-size:30px" value="form.productType" v-model="form.productType" placeholder="" />
               </el-form-item>
             </el-form>
           </el-descriptions-item>
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item   prop="orderNo" >
      	     <span  slot="label" style="font-size:45px;color:black"><strong>工单编号</strong></span>
                 <el-input disabled style="font-size:30px" v-model="form.orderNo" placeholder="" />
               </el-form-item>
             </el-form>
           </el-descriptions-item>
           <el-descriptions-item>
             <el-form ref="form" :model="form"  label-width="200px" style="height: 60px;margin-top: 20px" >
               <el-form-item   prop="qualityStatus" >
      	     <span slot="label" style="font-size:45px;color:black"><strong>质量状态</strong></span>
                 <el-input disabled style="font-size:30px" v-model="form.qualityStatus" placeholder="" />
               </el-form-item>
             </el-form>
           </el-descriptions-item>
         </el-descriptions>
         <el-divider></el-divider>
         <el-row :gutter="10" class="mb8" type="flex" justify="center"  style="text-align: center">
           <el-col :span="1.5">
             <el-button plain  style="width:400px;height:160px" v-hasPermi="['bs:formula:add']">
               <span   class="el-icon-thumb"   style="font-size:45px;color:black"></span>
               <span style="font-size:45px;color:black"><strong>强制上线</strong></span>
             </el-button>
             <el-button @click="scanCompleted" style="float: right" type="primary">扫码完成</el-button>

           </el-col>
         </el-row>
       </el-card>
     </el-col>


     <el-col :span="14"  inline style="height:600px;width:850px  ">
       <el-tabs type="border-card"  >
         <el-card>
         <el-col :span="14"style="height: 270px;width:800px  ">
           <span style="font-size:25px"><strong>质量状态</strong></span>
           <el-divider></el-divider>
           {{queryParams.productType}}
         </el-col>
         </el-card>
         <el-card style="margin-top: 10px" >
         <el-col :span="14"style="height: 270px;width:800px  ">
           <span style="font-size:25px"><strong>最终结果</strong></span>
           <el-divider></el-divider>
           {{queryParams.productType}}
         </el-col>
         </el-card>
       </el-tabs>
     </el-col>
   </el-row>
  </div>
</template>
<script>

import {listOrderScheduling} from "@/api/main/bs/orderScheduling/orderScheduling";

export default {
  components: { },
  options: [],
  props: [],
  data() {
    return {
      showFlag:false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        engineNo: null,
      },

      // 表单参数
      form: {},
    };
  },

  computed: {},
  watch: {},
  created() {
  },
  mounted() {},
  methods: {
    scanCompleted(){

    },
    EngineNohandleChange(){
      if(this.form.engineNo !== null && this.form.engineNo !== undefined){
        this.queryParams.engineNo = this.form.engineNo;
        listOrderScheduling(this.queryParams).then(response => {
          this.$message('扫码完成'+response.rows[0].model);
          console.log("--------------------"+response.rows[0])
          this.form.productType = response.rows[0].model
          this.form.orderNo = response.rows[0].orderNo
          this.form.qualityStatus = response.rows[0].qualityStatus
        });
      }
    },
  },


  }


</script>

